Bug 160075 - Crash on save to xls
Crash on save to xls
Product: Fedora
Classification: Fedora
Component: libgsf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: 160204 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-06-10 13:01 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-17 20:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fit gnumeric to libgsf api (779 bytes, patch)
2005-06-17 06:52 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Need Real Name 2005-06-10 13:01:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.3

Description of problem:
When saving to a new xls file gnumeric crased losing all data

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. create spreadsheet
2. attempt to save as xls

Actual Results:  Crash with all work lost

Expected Results:  File saved

Additional info:
Comment 1 Hans de Goede 2005-06-11 15:35:41 EDT

Interesting I tried to reproduce this and I couldn't, saving to excell worked
fine. Then I did a yum update downloading the latest rawhide updates. And all of
a sudden I could reproduce this, so this is probably somewhere in a dependency.

I've already tried rebuilding gnumeric and its deps in extras against the latest
rawhide, but that doesn't fix it.
Comment 2 Hans de Goede 2005-06-13 13:46:04 EDT
*** Bug 160204 has been marked as a duplicate of this bug. ***
Comment 3 Hans de Goede 2005-06-15 06:12:41 EDT
Downgrading to libgsf-0.11.1-2 fixes this, changing product to core, then
component to libgsf.
Comment 4 Hans de Goede 2005-06-15 06:18:13 EDT
Caolan, This bug is al yours, read above to see why.
Comment 5 Caolan McNamara 2005-06-15 07:58:18 EDT
Pushed 1.12.1 to rawhide, let's check to see if that works. And if not then we
have to get dirty.
Comment 6 Hans de Goede 2005-06-16 08:47:59 EDT
I've updated to the latest rawhide including libgsf-1.12.1 and gnumeric still
crashes on xls export.
Comment 7 Caolan McNamara 2005-06-17 06:52:03 EDT
Created attachment 115602 [details]
fit gnumeric to libgsf api

in libgsf 1.12.1

gsf-msole-utils.h has...

gboolean    gsf_msole_metadata_write	  (GsfOutput *out,
					   GsfDocMetaData const *meta_data,
					   gboolean doc_not_component);

while in gnumeric-1.4.3

plugins/excel/boot.c has...

		gsf_msole_metadata_write (content, TRUE, NULL);
		gsf_msole_metadata_write (content, FALSE, NULL);

Patch attached to make gnumeric follow the libgsf api
Comment 8 Hans de Goede 2005-06-17 06:55:06 EDT
Thanks for finding this I'll role out an updated gnumeric soon. Strange though
that it did work with libgsf-0.11.1 does that mean that the API change, and if
it did shouldn't the soname also have changed?
Comment 9 Caolan McNamara 2005-06-17 07:01:23 EDT
logged upstream against gnumeric, whether it's a gnumeric problem or a libgsf
one is sort of academic from that perspective seeing as Jody is sort of in
charge of both. Yep, it's apparently an api change. Going to cause pain alright.
Comment 10 Hans de Goede 2005-06-17 14:23:01 EDT
I've commited the gnumeric fix to the devel extras CVS branch and requested a
build. gnumeric-1.4.3-3 fixing this bug should show up in Rawhide soon.

As it is no loner assigned to me a cant close it. Caolan can you close it with a
resolution of rawhide.
Comment 11 Robin Green 2005-07-15 14:00:57 EDT
(In reply to comment #10)
> I've commited the gnumeric fix to the devel extras CVS branch and requested a
> build. gnumeric-1.4.3-3 fixing this bug should show up in Rawhide soon.

It has still not showed up. Why is this?
Comment 12 Hans de Goede 2005-07-15 14:48:56 EDT
Because the Fedora-Extras build system first could not sync with the rawhide
mirrors because of FC4 just released overload and the past weeks it has been
down because of a move to a new buildsystem. The new buildsystem has just
started churning out new packages, I'm waiting to see if it will come out of
there automaticly (its starting with the old queue) and of not I'll request a
build again.
Comment 13 Hans de Goede 2005-08-05 15:50:07 EDT
I've finally managed todo a successfull build of gnumeric, so a fixed version
should show up in the extras repo and on mirrors soon. Can you verify that it
works and close this bug please.

Note You need to log in before you can comment on or make changes to this bug.